Skip to content
Start here

Fetch Regional Hostname

client.addressing.regionalHostnames.get(stringhostname, RegionalHostnameGetParams { zone_id } params, RequestOptionsoptions?): RegionalHostnameGetResponse { created_on, hostname, region_key, routing }
GET/zones/{zone_id}/addressing/regional_hostnames/{hostname}

Fetch the configuration for a specific Regional Hostname, within a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS ReadDNS Write
ParametersExpand Collapse
hostname: string

DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g *.example.com

params: RegionalHostnameGetParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
RegionalHostnameGetResponse { created_on, hostname, region_key, routing }
created_on: string

When the regional hostname was created

formatdate-time
hostname: string

DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g *.example.com

region_key: string

Identifying key for the region

routing?: string

Configure which routing method to use for the regional hostname

Fetch Regional Hostname

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const regionalHostname = await client.addressing.regionalHostnames.get('foo.example.com', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(regionalHostname.created_on);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_on": "2014-01-01T05:20:00.12345Z",
    "hostname": "foo.example.com",
    "region_key": "ca",
    "routing": "dns"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_on": "2014-01-01T05:20:00.12345Z",
    "hostname": "foo.example.com",
    "region_key": "ca",
    "routing": "dns"
  }
}